Package com.meterware.servletunit

# Interface JSPServletDescriptor

All Known Implementing Classes:
  `ServletRunner.JasperJSPServletDescriptor`

public interface JSPServletDescriptor
Describes a servlet used to handle JSPs.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the class name of the JSP servlet.
`Hashtable`
`getInitializationParameters(String classPath, String workingDirectory)`
Returns initialization parameters for the JSP servlet, given the specified classpath and working directory.

## Method Details

### getClassName

String getClassName()
Returns the class name of the JSP servlet.

### getInitializationParameters

Hashtable getInitializationParameters(String classPath, String workingDirectory)
Returns initialization parameters for the JSP servlet, given the specified classpath and working directory.